LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-02-2004, 11:37 PM   #1
timsch75
Member
 
Registered: Feb 2004
Location: austin, TX
Distribution: slackware 10
Posts: 169

Rep: Reputation: 30
Error trying to run Opera after RPM installation


I've downloaded opera 7.23 to my /tmp directory and installed it with RPM. When I type "opera" on the command line I get the following error message:

/usr/lib/opera/7.23-20031119.2//opera: relocation error: /usr/lib/opera/7.23-20031119.2//opera: undefined symbol: __ti7QWidget

I cannot find what is wrong. I appreciate the help.


tim s
 
Old 03-03-2004, 12:34 AM   #2
george314
Member
 
Registered: Feb 2004
Location: US
Distribution: Slackware 13, Ubuntu 9.04, Windows XP Pro
Posts: 61

Rep: Reputation: 15
try downloading and installing the static version of opera
 
Old 03-03-2004, 07:15 AM   #3
j-ray
Senior Member
 
Registered: Jan 2002
Location: germany
Distribution: ubuntu, mint, suse
Posts: 1,546

Rep: Reputation: 136Reputation: 136
did u update an existing rpm shipping with the distro?
 
Old 03-03-2004, 08:05 AM   #4
timsch75
Member
 
Registered: Feb 2004
Location: austin, TX
Distribution: slackware 10
Posts: 169

Original Poster
Rep: Reputation: 30
I did not update an existing version of opera that came with suse. I just installed suse 9 and new I wanted a recent version, so just planned on downloading the latest one.

What is a "static" version, and where would I find it?
 
Old 03-04-2004, 04:02 AM   #5
j-ray
Senior Member
 
Registered: Jan 2002
Location: germany
Distribution: ubuntu, mint, suse
Posts: 1,546

Rep: Reputation: 136Reputation: 136
http://www.opera.com/download/
there are specific rpms for suse and debian, and depending on what qt-libraries you got installed on your box you may choose between shared and static versions. check
rpm -q qt3-static
whether or not the static libraries are installed
 
Old 03-04-2004, 08:45 AM   #6
timsch75
Member
 
Registered: Feb 2004
Location: austin, TX
Distribution: slackware 10
Posts: 169

Original Poster
Rep: Reputation: 30
Thanks for the replies. I found the static versions on the opera website and installed those. Worked fine. I know now that I should have just installed the older version with the distro and done the YOU. Much simpler and got a later version (7.50) on top of it all.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Opera won't run Metamorphousthe SUSE / openSUSE 7 09-24-2005 07:25 AM
RPM installation error Rollie Peck Linux - Software 5 02-16-2005 04:45 PM
RH9.0 rpm error: Installation Tree Not Found Thaidog Linux - Distributions 1 11-15-2004 04:02 PM
RPM installation error: I'm using Fedora Core 1 and trying to install various RPMs, utts Linux - Software 2 04-23-2004 01:37 PM
RPM Installation error message umakar2000 Linux - Newbie 2 08-19-2002 08:21 AM


All times are GMT -5. The time now is 12:06 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration